/**
 * Own marker with custom style. Only handles a single geo-point. 
 */

import java.util.List;

import processing.core.PApplet;
import processing.core.PGraphics;
import de.fhpotsdam.unfolding.UnfoldingMap;
import de.fhpotsdam.unfolding.geo.Location;
import de.fhpotsdam.unfolding.marker.SimpleLinesMarker;
import de.fhpotsdam.unfolding.utils.MapPosition;
import de.fhpotsdam.unfolding.utils.MapUtils;

public class BorderMarker extends SimpleLinesMarker {

  public BorderMarker(Location start, Location end) {
    super(start, end);
  }

  public void draw(PGraphics pg, List<MapPosition> mapPositions) {
    pg.pushStyle();
    
    //Form
    pg.strokeWeight(10);
      pg.stroke(0, 0, 0, 0);
      pg.beginShape();
      for (MapPosition mapPosition : mapPositions) {
        pg.vertex(mapPosition.x, mapPosition.y);
      }
      pg.endShape();

      pg.popStyle();
    
  }
}
