/**
 * Own marker with custom style. Only handles a single geo-point. 
 */

import processing.core.PGraphics;
import de.fhpotsdam.unfolding.geo.Location;
import de.fhpotsdam.unfolding.marker.SimplePointMarker;

public class WindMarker extends SimplePointMarker {

  public WindMarker(Location location) {
    super(location);
  }

  public void draw(PGraphics pg, float x, float y) {
    pg.pushStyle();
    pg.noStroke();
    pg.fill(200, 150, 200, 100);
    pg.ellipse(x, y, 10, 10);
    pg.fill(230, 100);
    pg.ellipse(x, y, 7, 7);
    pg.fill(200, 150, 200, 100);
    pg.ellipse(x, y, 4, 4);
    pg.fill(255, 200);
    pg.ellipse(x, y, 1, 1);
    pg.popStyle();
  }
}
